<?php
/* install_funcs.inc 2007-14-02 6:31:12
   WoW Roster X - WoW Roster for Xoops - A XOOPS CMS Module
   Copyright (c) 2006-2007 Mike DeShane, US
   URL:     www.pkcomp.net
   Contact: mdeshane@pkcomp.net
 	
   XOOPS
   Copyright (c) 2000 XOOPS.org
   URL:     http://www.xoops.org/
    
   This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
    
 */
 
//The next comment block is for PHPDocumentor
/**
 * WoW Roster X - WoW Roster for Xoops
 * 
 * Module installation helper functions
 * 
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006-2007 Mike DeShane, US
 * @package WRX 1.73
 * @subpackage Installation
 * 
 */

/**
* The module directory name
*/
define('WRX_DIR', $module->getVar('dirname'));

/**
* Full file path to WRX directory
*/
define('WRX_PATH',XOOPS_ROOT_PATH."/modules/".WRX_DIR);

/**
 * Permissions Constants
 */
define( 'GPERM_ADDON' , 1 ) ;
define( 'GPERM_ADMIN' , 2 ) ;
define( 'GPERM_CHAR' , 3 ) ;
define( 'GPERM_CREDITS' , 4 ) ;
define( 'GPERM_GUILD_BANK' , 5 ) ;
define( 'GPERM_GUILD_INFO' , 6 ) ;
define( 'GPERM_INDEX' , 7 ) ;
define( 'GPERM_HONOR' , 8 ) ;
define( 'GPERM_INST' , 9 ) ;
define( 'GPERM_PVP' , 10 ) ;
define( 'GPERM_QUESTS' , 11 ) ;
define( 'GPERM_SEARCH' , 12 ) ;
define( 'GPERM_STAT' , 13 ) ;
define( 'GPERM_MEMBERLOG' , 14 ) ;
define( 'GPERM_DIAG' , 15 ) ;
define( 'GPERM_TRADESKILLS' , 16 ) ;
define( 'GPERM_UPDATE' , 17 ) ;

/**
 * Module update function
 *
 * @global xoopsDB xoopsDatabase object
 * @param xoopsModule &$module Handle to current module
 * @param int $oldVersion version of module prior to update
 * @return boolean True if success else False
 */
function xoops_module_update_wowrosterx(&$module,$oldVersion) {

    global $xoopsDB,$xoopsUser;

	// $prev_version is returned without a decimal
	if($oldVersion=='125'){
		if ( !$xoopsUser ) {
			echo 'You are not logged in!<br />';
			return false;
		} else {
	
    $sql[1] = "DELETE FROM ".$xoopsDB->prefix('wrx_roster_config')." WHERE `id` = '7010' LIMIT 1";
    $sql[2] = "UPDATE ".$xoopsDB->prefix('wrx_roster_config')." SET `config_value` = '2.3.1' WHERE `id` = '1030' LIMIT 1";
	$sql[3] = "UPDATE ".$xoopsDB->prefix('wrx_roster_config')." SET `config_value` = 'http://www.worldofwarcraft.com/realmstatus/status.xml', `form_type` = 'select{US Servers^http://www.worldofwarcraft.com/realmstatus/status.xml|EU Servers^http://www.wow-europe.com/en/serverstatus/index.xml' WHERE `id` = '8000' LIMIT 1";
	$sql[4] = "UPDATE ".$xoopsDB->prefix('wrx_roster_config')." SET `config_value` = '5' WHERE `id` = '3' LIMIT 1";
	$sql[5] = "UPDATE ".$xoopsDB->prefix('wrx_roster_config')." SET `config_value` = '1.7.3' WHERE `id` = '4' LIMIT 1";	
	$sql[6] = "ALTER TABLE ".$xoopsDB->prefix('wrx_roster_talenttree')."
  ADD PRIMARY KEY (`member_id`,`tree`)";
	$sql[7] = "ALTER TABLE ".$xoopsDB->prefix('wrx_roster_spellbooktree')."
  ADD PRIMARY KEY (`member_id`,`spell_type`)";
	$sql[8] = "ALTER TABLE ".$xoopsDB->prefix('wrx_roster_config')." ORDER BY `id`";
	$sql[9] = "ALTER TABLE ".$xoopsDB->prefix('wrx_roster_spellbook')."
  ADD PRIMARY KEY (`member_id`,`spell_name`,`spell_rank`)";
	$sql[10] = "ALTER TABLE ".$xoopsDB->prefix('wrx_roster_players')."
  DROP `Rankexp`,
  DROP `RankInfo`,
  DROP `RankName`,
  DROP `RankIcon`";
	$sql[11] = "ALTER TABLE IGNORE ".$xoopsDB->prefix('wrx_roster_talents')."
  ADD PRIMARY KEY (`member_id`,`tree`,`row`,`column`)";
	$sql[12] = "ALTER TABLE IGNORE ".$xoopsDB->prefix('wrx_roster_buffs')."
  ADD PRIMARY KEY (`member_id`,`name`)";
	
	$res[1] = $xoopsDB->queryF($sql[1]);
	$res[2] = $xoopsDB->queryF($sql[2]);
	$res[3] = $xoopsDB->queryF($sql[3]);
	$res[4] = $xoopsDB->queryF($sql[4]);
	$res[5] = $xoopsDB->queryF($sql[5]);
	$res[6] = $xoopsDB->queryF($sql[6]);
	$res[7] = $xoopsDB->queryF($sql[7]);
	$res[8] = $xoopsDB->queryF($sql[8]);
	$res[9] = $xoopsDB->queryF($sql[9]);
	$res[10] = $xoopsDB->queryF($sql[10]);
	$res[11] = $xoopsDB->queryF($sql[11]);
	$res[12] = $xoopsDB->queryF($sql[12]);
	
	}
        if( !$res[1] || !$res[2] || !$res[3] || !$res[4] || !$res[5] || !$res[6] || !$res[7] || !$res[8] || !$res[9] || !$res[10] || !$res[11] || !$res[12] ) {
            return false;
        } else {
            return true;
			
		}
	}
	return true;
}//end function

/**
 * Module install function
 *
 * @param xoopModule &$module Handle to current module
 * @return boolean True if success else False
 */
function xoops_module_install_wowrosterx(&$module) {
//The basic SQL install is done via the SQL script

    global $xoopsDB,$xoopsUser;

//Page Permissions
	$modid = $module->getVar("mid") ;
	$gperm_handler = xoops_gethandler("groupperm");

	$global_perms_array = array(
		1 => GPERM_ADDON ,
		2 => GPERM_ADMIN ,
		3 => GPERM_CHAR ,
		4 => GPERM_CREDITS ,
		5 => GPERM_GUILD_BANK ,
		6 => GPERM_GUILD_INFO ,
		7 => GPERM_INDEX ,
		8 => GPERM_HONOR ,
		9 => GPERM_INST ,
		10 => GPERM_PVP ,
		11 => GPERM_QUESTS ,
		12 => GPERM_SEARCH ,
		13 => GPERM_STAT ,
		14 => GPERM_MEMBERLOG ,
		15 => GPERM_DIAG ,
		16 => GPERM_TRADESKILLS ,
		17 => GPERM_UPDATE
	) ;

	foreach( $global_perms_array as $perms_id => $perms_name ) {
		$gperm =& $gperm_handler->create();
		$gperm->setVar("gperm_groupid", XOOPS_GROUP_ADMIN);
		$gperm->setVar("gperm_name", "wrx_pageperm");
		$gperm->setVar("gperm_modid", $modid);
		$gperm->setVar("gperm_itemid", $perms_id );
		$gperm_handler->insert($gperm) ;
		unset($gperm);
	}
	
//Set Roster Paths in the Database
	$path1 = XOOPS_ROOT_PATH;
	$path2 = WRX_PATH;
	$path3 = XOOPS_URL;
	$rs1 = basename($path1);
	$rs2 = basename($path2);
	$rs3 = basename($path3);
	$url = "http://".$_SERVER['SERVER_NAME'];
	$rs_dir = "/".$rs1."/modules/".$rs2;
	$rs2_dir = "/modules/".$rs2;
	$rs3_dir = "/".$rs3."/modules/".$rs2;
	
	$test1 = fopen ($url.$rs_dir."/settings.php", "r");
	$test2 = fopen ($url.$rs2_dir."/settings.php", "r");
	$test3 = fopen ($url.$rs3_dir."/settings.php", "r");
	
	if($test1){
		$sql1 = 'UPDATE '.$xoopsDB->prefix('wrx_roster_config').' SET `config_value` = "'.$rs_dir.'" WHERE `id` = "1070"';
    }elseif($test2){
			$sql1 = 'UPDATE '.$xoopsDB->prefix('wrx_roster_config').' SET `config_value` = "'.$rs2_dir.'" WHERE `id` = "1070"';
		}elseif($test3){
				$sql1 = 'UPDATE '.$xoopsDB->prefix('wrx_roster_config').' SET `config_value` = "'.$rs3_dir.'" WHERE `id` = "1070"';
		}else{
			return false;
			}	
	
	$sql2 = 'UPDATE '.$xoopsDB->prefix('wrx_roster_config').' SET `config_value` = "'.XOOPS_URL.'" WHERE `id` = "1060"';
		
	$res1 = $xoopsDB->queryF($sql1);
	$res2 = $xoopsDB->queryF($sql2);
		
    if( !$res1 || !$res2 ) {
    	return false;
    } else {
        return true;
    	}
}//end function

/**
 * Module uninstall function
 *
 * @param xoopModule &$module Handle to current module
 * @return boolean True if success else False
 */
function xoops_module_uninstall_wowrosterx(&$module) {
global $xoopsDB, $xoopsUser;

	$sql[1] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_addon_altmonitor')."";
	$sql[2] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_addon_altmonitor_config')."";
	$sql[3] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_addon_madeby_config')."";
	$sql[4] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_addon_screenshots')."";
	$sql[5] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_addon_siggen')."";
	$sql[6] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_events')."";
	$sql[7] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_event_limits')."";
	$sql[8] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_event_members')."";
	$sql[9] = "DROP TABLE IF EXISTS ".$xoopsDB->prefix('wrx_roster_event_subscribers')."";
	
	
	$res[1] = $xoopsDB->queryF($sql[1]);
	$res[2] = $xoopsDB->queryF($sql[2]);
	$res[3] = $xoopsDB->queryF($sql[3]);
	$res[4] = $xoopsDB->queryF($sql[4]);
	$res[5] = $xoopsDB->queryF($sql[5]);
	$res[6] = $xoopsDB->queryF($sql[6]);
	$res[7] = $xoopsDB->queryF($sql[7]);
	$res[8] = $xoopsDB->queryF($sql[8]);
	$res[9] = $xoopsDB->queryF($sql[9]);
	
	if( !$res[1] || !$res[2] || !$res[3] || !$res[4] || !$res[5] || !$res[6] || !$res[7] || !$res[8] || !$res[9] ) {
		return false;
	} else {
		return true;
		}
}//end function

/*
 * This file was generated by XBS ModGen, (c) 2006 A Kitson, UK. See http://xoobs.net
 * ModGen is a Module Code Generator for the Xoops CMS.  See http://xoops.org
 */
?>