<?php
/* functions.inc 2007-02-15 00:58:12
   WoW Roster X - WoW Roster for Xoops - A XOOPS CMS Module
   Copyright (c) 2006-2007 Mike DeShane, US
   URL:     www.pkcomp.net
   Contact: mdeshane@pkcomp.net
 	
   XOOPS
   Copyright (c) 2000 XOOPS.org
   URL:     http://www.xoops.org/
    
   This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
    
 */
 
 
/**
 * WoW Roster X - WoW Roster for Xoops
 * 
 * General purpose module functions
 * 
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006-2007 Mike DeShane, US
 * @package WRX 1.73
 * @subpackage WRX Functions
 * 
 */


/**
 * Put your general purpose functions into this file
 * It will automatically be included into your user side and 
 * admin side pages
 */

/**
 * Clean $_POST & $_GET input arrays
 *
 * @param array $inputArr (usually $_POST or $_GET but could be any array)
 * @return array cleaned up input
 */
function cleanInput($inputArr) {
	$cleanArr = array();
	$myts =& MyTextSanitizer::getInstance();
	foreach ($inputArr as $key => $value) {
		$cleanArr[$key] = $myts->stripSlashesGPC($myts->censorString($value));
	}
	return $cleanArr;
}

/**
 * Return a valid xoops user name given the user id
 *
 * @global xoopsUser Xoops user object
 * @param int $id Xoops user id
 * @return string Xoops real name if available else the logon/username
 */
function getXoopsUser($id) {
  Global $xoopsUser;
  $ret = $xoopsUser->getUnameFromId($id,TRUE);
  if (empty($ret)) { //if it didn't return a real name then get username/nickname
    $ret = $xoopsUser->getUnameFromId($id,FALSE);
  }
  return $ret;
}
 
?>