<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2007
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: login.php 603 2007-02-14 07:37:56Z zanix $
 *
 ******************************/

/**
 * Xoops modifications have been made to this file
 *
 * WoW Roster X - WoW Roster for Xoops
 *
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006-2007 Mike DeShane, US
 * @package WRX 1.73
 * @subpackage Roster - Login
 */

include_once ('../../../mainfile.php');
global $xoopsOption,$xoopsUser,$xoopsTpl,$xoopsDB;

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

class RosterLogin
{
	var $allow_login;
	var $message;
	var $loginform;
	var $script_filename;

	/**
	 * Constructor for Roster Login class
	 * Accepts an action for the form
	 * And an array of additional fields
	 *
	 * @param string $script_filename
	 * @param array $fields
	 * @return RosterLogin
	 */
	function RosterLogin($script_filename)
	{
		$this->script_filename = $script_filename;
		$this->allow_login = false;
		
		$this->checkLogin();
		$this->checkLogout();
	}

	function checkLogin()
	{
		global $xoopsUser;
		if ( is_object($xoopsUser) && $xoopsUser->isAdmin())
		{
			$this->message = '<span style="font-size:10px;color:red;">Logged in as Admin:</span><form style="display:inline;" name="roster_logout" action="'.$this->script_filename.'" method="post"><span style="font-size:10px;color:#FFFFFF"><input type="hidden" name="logout" value="1" />[<a href="'.XOOPS_URL.'/user.php?op=logout">Logout</a>]</span></form><br />';
			$this->allow_login = true;
		}
		elseif ( is_object($xoopsUser))
		{
			$this->message = '<span style="font-size:10px;color:red;">Logged in:</span><form style="display:inline;" name="roster_logout" action="'.$this->script_filename.'" method="post"><span style="font-size:10px;color:#FFFFFF"><input type="hidden" name="logout" value="1" />[<a href="'.XOOPS_URL.'/user.php?op=logout">Logout</a>]</span></form><br />';
			$this->allow_login = true;
		}
		else
		{
			$this->message = '<span style="font-size:11px;color:red;">You are not logged in to Xoops!</span><br />';
			$this->allow_login = false;
			$this->loginform;
		}
	}

	function checkLogout()
	{
		global $xoopsUser;
		if ( !is_object($xoopsUser))
		{
			$this->allow_login = false;
			$this->message = '<span style="font-size:10px;color:red;">You are not logged in to Xoops!</span><br />';
			$this->loginform;
		}
	}

	function getAuthorized()
	{
		return $this->allow_login;
	}

	function getMessage()
	{
		return $this->message;
	}

	function getLoginForm()
	{
		global $roster_conf, $wordings;
		
		$loginform = '
			<!-- Begin Xoops Login Box -->
				<form action="'.XOOPS_URL.'/user.php" method="post">
				'.border('sred','start').'
			  		<table class="login" align="center" cellspacing="0" cellpadding="0">
			    		<tr align="center">
			      			<td class="membersRowCenter1">Username:
			        		<input class="search" type="text" name="uname" size="16" /><br /></td>
			    		</tr>
			    		<tr align="center">
			      			<td class="membersRowCenter2">Password:
			        		<input class="search" type="password" name="pass" size="16" /><br /></td>
			    		</tr>
						<tr align="center">
							<input type="hidden" name="op" value="login" />
			      			<td class="membersRowCenter3" valign="bottom">
				    		<br />
			        		<div align="center"><input type="submit" value="Login" />
							[<a href="'.XOOPS_URL.'/register.php">Register</a>]</div></td>
			    		</tr>
					</table>
				'.border('sred','end').'
				</form>
			<!-- End Xoops Login Box -->';

		return $loginform;
	}
}
