CREATE TABLE wrx_roster_account (
  `account_id` smallint(6) NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  `hash` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`account_id`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_buffs (
  `member_id` int(11) unsigned NOT NULL default '0',
  `name` varchar(96) NOT NULL default '', 
  `rank` varchar(32) NOT NULL default '',
  `count` int(11) unsigned NOT NULL default '0',
  `icon` varchar(64) NOT NULL default '',
  `tooltip` mediumtext NOT NULL,
  PRIMARY KEY (`member_id`,`name`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_config (
  `id` int(11) NOT NULL,
  `config_name` varchar(255) default NULL,
  `config_value` tinytext,
  `form_type` mediumtext,
  `config_type` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_guild (
  `guild_id` int(11) unsigned NOT NULL auto_increment,
  `guild_name` varchar(64) NOT NULL default '',
  `server` varchar(32) NOT NULL default '',
  `faction` varchar(8) default NULL,
  `guild_motd` varchar(255) NOT NULL default '',
  `guild_num_members` int(11) NOT NULL default '0',
  `guild_num_accounts` int(11) NOT NULL default '0',
  `update_time` datetime default NULL,
  `guild_dateupdatedutc` varchar(18) default NULL,
  `GPversion` varchar(6) default NULL,
  `guild_info_text` mediumtext,
  PRIMARY KEY  (`guild_id`),
  KEY `guild` (`guild_name`,`server`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_items (
  `member_id` int(11) unsigned NOT NULL default '0',
  `item_name` varchar(96) NOT NULL,
  `item_parent` varchar(64) NOT NULL default '',
  `item_slot` varchar(32) NOT NULL default '',
  `item_color` varchar(16) NOT NULL default '',
  `item_id` varchar(64) default NULL,
  `item_texture` varchar(64) NOT NULL default '',
  `item_quantity` int(11) default NULL,
  `item_tooltip` mediumtext NOT NULL,
  `level` INT( 11 ) default NULL,
  `item_level` INT( 11 ) default NULL,
  PRIMARY KEY  (`member_id`,`item_parent`,`item_slot`),
  KEY `parent` (`item_parent`),
  KEY `slot` (`item_slot`),
  KEY `name` (`item_name`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_mailbox (
  `member_id` int(11) unsigned NOT NULL default '0',
  `mailbox_slot` int(11) NOT NULL default '0',
  `mailbox_coin` int(11) NOT NULL default '0',
  `mailbox_coin_icon` varchar(64) NOT NULL default '',
  `mailbox_days` float NOT NULL default '0',
  `mailbox_sender` varchar(30) NOT NULL default '',
  `mailbox_subject` mediumtext NOT NULL,
  `item_icon` varchar(64) NOT NULL default '',
  `item_name` varchar(96) NOT NULL,
  `item_quantity` int(11) default NULL,
  `item_tooltip` mediumtext NOT NULL,
  `item_color` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`member_id`,`mailbox_slot`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_members (
  `member_id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `guild_id` int(11) unsigned NOT NULL default '0',
  `class` varchar(32) NOT NULL default '',
  `level` int(11) NOT NULL default '0',
  `note` varchar(255) NOT NULL default '',
  `guild_rank` int(11) default '0',
  `guild_title` varchar(64) default NULL,
  `officer_note` varchar(255) NOT NULL default '',
  `zone` varchar(64) NOT NULL default '',
  `status` varchar(16) NOT NULL default '',
  `online` int(1) default '0',
  `last_online` datetime default NULL,
  `update_time` datetime default NULL,
  `account_id` smallint(6) NOT NULL default '0',
  `inv` tinyint(4) NOT NULL default '3',
  `talents` tinyint(4) NOT NULL default '3',
  `quests` tinyint(4) NOT NULL default '3',
  `bank` tinyint(4) NOT NULL default '3',
  `spellbook` tinyint(4) NOT NULL default '3',
  `mail` tinyint(4) NOT NULL default '3',
  `recipes` tinyint(4) NOT NULL default '3',
  `bg` tinyint(4) NOT NULL default '3',
  `pvp` tinyint(4) NOT NULL default '3',
  `duels` tinyint(4) NOT NULL default '3',
  `money` tinyint(4) NOT NULL default '3',
  `item_bonuses` tinyint(4) NOT NULL default '3',
  PRIMARY KEY  (`member_id`),
  KEY `member` (`guild_id`,`name`),
  KEY `name` (`name`),
  KEY `class` (`class`),
  KEY `level` (`level`),
  KEY `guild_rank` (`guild_rank`),
  KEY `last_online` (`last_online`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_memberlog (
  `log_id` int(11) unsigned NOT NULL auto_increment,
  `member_id` int(11) unsigned NOT NULL,
  `name` varchar(64) NOT NULL default '',
  `guild_id` int(11) unsigned NOT NULL default '0',
  `class` varchar(32) NOT NULL default '',
  `level` int(11) NOT NULL default '0',
  `note` varchar(255) NOT NULL default '',
  `guild_rank` int(11) default '0',
  `guild_title` varchar(64) default NULL,
  `officer_note` varchar(255) NOT NULL default '',
  `update_time` datetime default NULL,
  `type` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`log_id`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_pets (
  `member_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(32) NOT NULL default '',
  `slot` int(11) NOT NULL default '0',
  `level` int(11) NOT NULL default '0',
  `health` int(11) default NULL,
  `mana` int(11) default NULL,
  `xp` varchar(32) default NULL,
  `usedtp` int(11) default NULL,
  `totaltp` int(11) default NULL,
  `type` varchar(32) NOT NULL default '',
  `loyalty` varchar(32) NOT NULL default '',
  `icon` varchar(64) NOT NULL default '',
  `stat_int` varchar(32) default NULL,
  `stat_agl` varchar(32) default NULL,
  `stat_sta` varchar(32) default NULL,
  `stat_str` varchar(32) default NULL,
  `stat_spr` varchar(32) default NULL,
  `res_frost` int(11) default NULL,
  `res_arcane` int(11) default NULL,
  `res_fire` int(11) default NULL,
  `res_shadow` int(11) default NULL,
  `res_nature` int(11) default NULL,
  `armor` varchar(32) default NULL,
  `defense` int(11) default NULL,
  `melee_power` int(11) default NULL,
  `melee_rating` int(11) default NULL,
  `melee_range` varchar(16) default NULL,
  `melee_rangetooltip` tinytext,
  `melee_powertooltip` tinytext,
  PRIMARY KEY  (`member_id`,`name`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_players (
  `member_id` int(11) unsigned NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `guild_id` int(11) unsigned NOT NULL default '0',
  `dateupdatedutc` varchar(18) default NULL,
  `CPversion` varchar(6) default NULL,
  `race` varchar(32) NOT NULL default '',
  `sex` varchar(10) NOT NULL default '',
  `hearth` varchar(32) NOT NULL default '',
  `level` int(11) NOT NULL default '0',
  `server` varchar(32) NOT NULL default '',
  `talent_points` int(11) NOT NULL default '0',
  `money_c` int(11) NOT NULL default '0',
  `money_s` int(11) NOT NULL default '0',
  `money_g` int(11) NOT NULL default '0',
  `exp` varchar(32) NOT NULL default '',
  `class` varchar(32) NOT NULL default '',
  `health` int(11) NOT NULL default '0',
  `maildateutc` varchar(18) default NULL,
  `melee_power` int(11) default NULL,
  `melee_rating` int(11) default NULL,
  `melee_range` varchar(32) default NULL,
  `melee_range_tooltip` tinytext,
  `melee_power_tooltip` tinytext,
  `ranged_power` int(11) default NULL,
  `ranged_rating` int(11) default NULL,
  `ranged_range` varchar(32) default NULL,
  `ranged_range_tooltip` tinytext,
  `ranged_power_tooltip` tinytext,
  `mana` int(11) NOT NULL default '0',
  `stat_int` int(11) NOT NULL default '0',
  `stat_int_c` int(11) NOT NULL default '0',
  `stat_int_b` int(11) NOT NULL default '0',
  `stat_int_d` int(11) NOT NULL default '0',
  `stat_agl` int(11) NOT NULL default '0',
  `stat_agl_c` int(11) NOT NULL default '0',
  `stat_agl_b` int(11) NOT NULL default '0',
  `stat_agl_d` int(11) NOT NULL default '0',
  `stat_sta` int(11) NOT NULL default '0',
  `stat_sta_c` int(11) NOT NULL default '0',
  `stat_sta_b` int(11) NOT NULL default '0',
  `stat_sta_d` int(11) NOT NULL default '0',
  `stat_str` int(11) NOT NULL default '0',
  `stat_str_c` int(11) NOT NULL default '0',
  `stat_str_b` int(11) NOT NULL default '0',
  `stat_str_d` int(11) NOT NULL default '0',
  `stat_spr` int(11) NOT NULL default '0',
  `stat_spr_c` int(11) NOT NULL default '0',
  `stat_spr_b` int(11) NOT NULL default '0',
  `stat_spr_d` int(11) NOT NULL default '0',
  `stat_def` int(11) NOT NULL default '0',
  `stat_def_c` int(11) NOT NULL default '0',
  `stat_def_b` int(11) NOT NULL default '0',
  `stat_def_d` int(11) NOT NULL default '0',
  `stat_armor` int(11) NOT NULL default '0',
  `stat_armor_c` int(11) NOT NULL default '0',
  `stat_armor_b` int(11) NOT NULL default '0',
  `stat_armor_d` int(11) NOT NULL default '0',
  `res_frost` int(11) NOT NULL default '0',
  `res_frost_c` int(11) NOT NULL default '0',
  `res_frost_b` int(11) NOT NULL default '0',
  `res_frost_d` int(11) NOT NULL default '0',
  `res_arcane` int(11) NOT NULL default '0',
  `res_arcane_c` int(11) NOT NULL default '0',
  `res_arcane_b` int(11) NOT NULL default '0',
  `res_arcane_d` int(11) NOT NULL default '0',
  `res_fire` int(11) NOT NULL default '0',
  `res_fire_c` int(11) NOT NULL default '0',
  `res_fire_b` int(11) NOT NULL default '0',
  `res_fire_d` int(11) NOT NULL default '0',
  `res_shadow` int(11) NOT NULL default '0',
  `res_shadow_c` int(11) NOT NULL default '0',
  `res_shadow_b` int(11) NOT NULL default '0',
  `res_shadow_d` int(11) NOT NULL default '0',
  `res_nature` int(11) NOT NULL default '0',
  `res_nature_c` int(11) NOT NULL default '0',
  `res_nature_b` int(11) NOT NULL default '0',
  `res_nature_d` int(11) NOT NULL default '0',
  `pvp_ratio` float NOT NULL default '0',
  `sessionHK` int(11) NOT NULL default '0',
  `sessionCP` int(11) NOT NULL default '0',
  `yesterdayHK` int(11) NOT NULL default '0',
  `yesterdayContribution` int(11) NOT NULL default '0',
  `lifetimeHK` int(11) NOT NULL default '0',
  `lifetimeRankName` varchar(64) NOT NULL default '0',
  `honorpoints` int(11) NOT NULL default '0',
  `arenapoints` int(11) NOT NULL default '0',
  `dodge` float NOT NULL default '0',
  `parry` float NOT NULL default '0',
  `block` float NOT NULL default '0',
  `mitigation` float NOT NULL default '0',
  `crit` float NOT NULL default '0',
  `lifetimeHighestRank` int(11) NOT NULL default '0',
  `clientLocale` varchar(4) NOT NULL default '',
  `timeplayed` int(11) NOT NULL default '0',
  `timelevelplayed` int(11) NOT NULL default '0',
  PRIMARY KEY  (`member_id`),
  KEY `name` (`name`,`server`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_pvp2 (
  `member_id` int(11) unsigned NOT NULL default '0',
  `index` int(11) unsigned NOT NULL default '0',
  `date` datetime default NULL,
  `name` varchar(32) NOT NULL default '',
  `guild` varchar(32) NOT NULL default '',
  `realm` varchar(96) NOT NULL default '',
  `race` varchar(32) NOT NULL default '',
  `class` varchar(32) NOT NULL default '',
  `zone` varchar(32) NOT NULL default '',
  `subzone` varchar(32) NOT NULL default '',
  `enemy` tinyint(4) NOT NULL default '0',
  `win` tinyint(4) NOT NULL default '0',
  `rank` varchar(32) NOT NULL default '',
  `bg` tinyint(3) unsigned NOT NULL default '0',
  `leveldiff` tinyint(4) NOT NULL default '0',
  `honor` smallint(6) NOT NULL default '0',
  `column_id` mediumint(9) NOT NULL auto_increment,
  PRIMARY KEY  (`column_id`),
  KEY `date` (`date`,`guild`,`class`),
  KEY `member_id` (`member_id`,`index`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_quests (
  `member_id` int(11) unsigned NOT NULL default '0',
  `quest_name` varchar(64) NOT NULL default '',
  `quest_index` int(11) NOT NULL default '0',
  `quest_level` int(11) unsigned NOT NULL default '0',
  `quest_tag` varchar(32) NOT NULL default '',
  `is_complete` int(1) NOT NULL default '0',
  `zone` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`member_id`,`quest_name`),
  KEY `quest_index` (`quest_index`,`quest_level`,`quest_tag`),
  FULLTEXT KEY `quest_name` (`quest_name`),
  FULLTEXT KEY `zone` (`zone`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_realmstatus (
  `server_name` varchar(20) NOT NULL default '',
  `servertype` varchar(20) NOT NULL default '',
  `servertypecolor` varchar(8) NOT NULL default '',
  `serverstatus` varchar(20) NOT NULL default '',
  `serverpop` varchar(20) NOT NULL default '',
  `serverpopcolor` varchar(8) NOT NULL default '',
  `timestamp` tinyint(2) NOT NULL default '0',
  UNIQUE KEY `server_name` (`server_name`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_recipes (
  `member_id` int(11) unsigned NOT NULL default '0',
  `recipe_name` varchar(64) NOT NULL default '',
  `recipe_type` varchar(100) NOT NULL default '',
  `skill_name` varchar(64) NOT NULL default '',
  `difficulty` int(11) NOT NULL default '0',
  `item_color` varchar(16) NOT NULL,
  `reagents` mediumtext NOT NULL,
  `recipe_texture` varchar(64) NOT NULL default '',
  `recipe_tooltip` mediumtext NOT NULL,
  `categories` varchar(64) NOT NULL default '',
  `level` int(11) default NULL,
  `item_level` INT( 11 ) default NULL,
  PRIMARY KEY  (`member_id`,`skill_name`,`recipe_name`,`categories`),
  KEY `skill_nameI` (`skill_name`),
  KEY `recipe_nameI` (`recipe_name`),
  KEY `categoriesI` (`categories`),
  KEY `levelI` (`level`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_reputation (
  `member_id` int(10) unsigned NOT NULL default '0',
  `faction` varchar(32) NOT NULL default '',
  `name` varchar(32) NOT NULL default '',
  `curr_rep` int(8) NULL,
  `max_rep` int(8) NULL,
  `AtWar` int(11) NOT NULL default '0',
  `Standing` varchar(32) default '',
  PRIMARY KEY  (`member_id`,`name`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_skills (
  `member_id` int(11) unsigned NOT NULL default '0',
  `skill_type` varchar(32) NOT NULL default '',
  `skill_name` varchar(32) NOT NULL default '',
  `skill_order` int(11) NOT NULL default '0',
  `skill_level` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`member_id`,`skill_name`),
  KEY `skill_type` (`skill_type`),
  KEY `skill_name` (`skill_name`),
  KEY `skill_order` (`skill_order`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_spellbook (
  `member_id` int(11) unsigned NOT NULL default '0',
  `spell_name` varchar(64) NOT NULL default '',
  `spell_type` varchar(100) NOT NULL default '',
  `spell_texture` varchar(64) NOT NULL default '',
  `spell_rank` varchar(64) NOT NULL default '',
  `spell_tooltip` mediumtext NOT NULL,
  PRIMARY KEY (`member_id`,`spell_name`,`spell_rank`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_spellbooktree (
  `member_id` int(11) unsigned NOT NULL default '0',
  `spell_type` varchar(64) NOT NULL default '',
  `spell_texture` varchar(64) NOT NULL default '',
  PRIMARY KEY (`member_id`,`spell_type`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_talents (
  `member_id` int(11) NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `tree` varchar(64) NOT NULL default '',
  `row` tinyint(4) NOT NULL default '0',
  `column` tinyint(4) NOT NULL default '0',
  `rank` tinyint(4) NOT NULL default '0',
  `maxrank` tinyint(4) NOT NULL default '0',
  `tooltip` mediumtext NOT NULL,
  `texture` varchar(64) NOT NULL default '',
  PRIMARY KEY (`member_id`,`tree`,`row`,`column`)
) TYPE=MyISAM;

CREATE TABLE wrx_roster_talenttree (
  `member_id` int(11) NOT NULL default '0',
  `tree` varchar(64) NOT NULL default '',
  `background` varchar(64) NOT NULL default '',
  `order` tinyint(4) NOT NULL default '0',
  `pointsspent` tinyint(4) NOT NULL default '0',
  PRIMARY KEY (`member_id`,`tree`)
) TYPE=MyISAM;

INSERT INTO wrx_roster_config VALUES (1, 'config_list', 'main_conf|guild_conf|menu_conf|display_conf|index_conf|char_conf|realmstatus_conf|data_links|guildbank_conf|update_access', 'display', 'master');
INSERT INTO wrx_roster_config VALUES (2, 'roster_upd_pw', '60d605debf95b04881279358dbfdb7e1', 'password:30|30', 'master');
INSERT INTO wrx_roster_config VALUES (3, 'roster_dbver', '5', 'display', 'master');
INSERT INTO wrx_roster_config VALUES (4, 'version', '1.7.3', 'display', 'master');

INSERT INTO wrx_roster_config VALUES (1000, 'sqldebug', '0', 'radio{on^1|off^0', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1001, 'debug_mode', '0', 'radio{on^1|off^0', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1002, 'sql_window', '0', 'radio{on^1|off^0', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1010, 'minCPver', '2.0.0', 'text{10|10', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1020, 'minGPver', '2.0.0', 'text{10|10', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1030, 'minPvPLogver', '2.3.1', 'text{10|10', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1040, 'roster_lang', 'enUS', 'function{rosterLangValue', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1060, 'website_address', '', 'text{128|30', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1070, 'roster_dir', '', 'text{128|30', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1080, 'server_name_comp', '0', 'radio{on^1|off^0', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1085, 'interface_url', 'img/', 'text{128|30', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1090, 'img_suffix', 'png', 'select{jpg^jpg|png^png|gif^gif', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1095, 'alt_img_suffix', 'gif', 'select{jpg^jpg|png^png|gif^gif', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1100, 'img_url', 'img/', 'text{128|30', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1110, 'timezone', 'EST', 'text{10|10', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1120, 'localtimeoffset', '-5', 'select{-12^-12|-11^-11|-10^-10|-9^-9|-8^-8|-7^-7|-6^-6|-5^-5|-4^-4|-3.5^-3.5|-3^-3|-2^-2|-1^-1|0^0|+1^1|+2^2|+3^3|+3.5^3.5|+4^4|+4.5^4.5|+5^5|+5.5^5.5|+6^6|+6.5^6.5|+7^7|+8^8|+9^9|+9.5^9.5|+10^10|+11^11|+12^12|+13^13', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1130, 'pvp_log_allow', '1', 'radio{yes^1|no^0', 'main_conf');
INSERT INTO wrx_roster_config VALUES (1140, 'use_update_triggers', '1', 'radio{on^1|off^0', 'main_conf');

INSERT INTO wrx_roster_config VALUES (2000, 'guild_name', 'guildName', 'text{50|30', 'guild_conf');
INSERT INTO wrx_roster_config VALUES (2010, 'server_name', 'realmName', 'text{50|30', 'guild_conf');
INSERT INTO wrx_roster_config VALUES (2020, 'guild_desc', 'A Great WoW Guild', 'text{255|30', 'guild_conf');
INSERT INTO wrx_roster_config VALUES (2030, 'server_type', 'PvE', 'select{PvE^PvE|PvP^PvP|RP^RP|RPPvP^RPPvP', 'guild_conf');
INSERT INTO wrx_roster_config VALUES (2040, 'alt_type', 'alt', 'text{30|30', 'guild_conf');
INSERT INTO wrx_roster_config VALUES (2050, 'alt_location', 'note', 'select{Player Note^note|Officer Note^officer_note|Guild Rank Number^guild_rank|Guild Title^guild_title', 'guild_conf');

INSERT INTO wrx_roster_config VALUES (3000, 'index_pvplist', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3010, 'index_hslist', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3015, 'hspvp_list_disp', 'show', 'radio{show^show|hide^hide', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3020, 'index_member_tooltip', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3030, 'index_update_inst', '0', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3040, 'index_sort', '', 'select{Default Sort^|Name^name|Class^class|Level^level|Guild Title^guild_title|PvP Rank^RankName|Note^note|Hearthstone Location^hearth|Zone Location^zone', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3050, 'index_motd', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3060, 'index_level_bar', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3070, 'index_iconsize', '16', 'select{8px^8|9px^9|10px^10|11px^11|12px^12|13px^13|14px^14|15px^15|16px^16|17px^17|18px^18|19px^19|20px^20', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3080, 'index_tradeskill_icon', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3090, 'index_tradeskill_loc', 'professions', 'select{Name^name|Class^class|Level^level|Guild Title^guild_title|PvP Rank^RankName|Note^note|Professions^professions|Hearthed^hearth|Last Zone^zone|Last On-line^lastonline|Last Updated^last_update', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3100, 'index_class_color', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3110, 'index_classicon', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3120, 'index_honoricon', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3130, 'index_prof', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3140, 'index_currenthonor', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3150, 'index_note', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3160, 'index_title', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3170, 'index_hearthed', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3180, 'index_zone', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3190, 'index_lastonline', '1', 'radio{on^1|off^0', 'index_conf');
INSERT INTO wrx_roster_config VALUES (3200, 'index_lastupdate', '1', 'radio{on^1|off^0', 'index_conf');

INSERT INTO wrx_roster_config VALUES (4000, 'menu_left_pane', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4010, 'menu_right_pane', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4020, 'menu_memberlog', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4040, 'menu_guild_info', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4050, 'menu_stats_page', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4055, 'menu_pvp_page', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4060, 'menu_honor_page', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4070, 'menu_guildbank', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4080, 'menu_keys_page', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4090, 'menu_tradeskills_page', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4100, 'menu_update_page', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4110, 'menu_quests_page', '1', 'radio{on^1|off^0', 'menu_conf');
INSERT INTO wrx_roster_config VALUES (4120, 'menu_search_page', '1', 'radio{on^1|off^0', 'menu_conf');

INSERT INTO wrx_roster_config VALUES (5000, 'stylesheet', 'css/styles.css', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5005, 'roster_js', 'css/js/mainjs.js', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5008, 'tabcontent', 'css/js/tabcontent.js', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5010, 'overlib', 'css/js/overlib.js', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5015, 'overlib_hide', 'css/js/overlib_hideform.js', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5020, 'logo', 'img/wowroster_logo.jpg', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5025, 'roster_bg', 'img/wowroster_bg.jpg', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5030, 'motd_display_mode', '1', 'radio{Image^1|Text^0', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5035, 'compress_note', '1', 'radio{Icon^1|Text^0', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5040, 'signaturebackground', 'img/default.png', 'text{128|30', 'display_conf');
INSERT INTO wrx_roster_config VALUES (5050, 'processtime', '1', 'radio{on^1|off^0', 'display_conf');

INSERT INTO wrx_roster_config VALUES (6000, 'questlink_1', '1', 'radio{on^1|off^0', 'data_links');
INSERT INTO wrx_roster_config VALUES (6010, 'questlink_2', '1', 'radio{on^1|off^0', 'data_links');
INSERT INTO wrx_roster_config VALUES (6020, 'questlink_3', '1', 'radio{on^1|off^0', 'data_links');
INSERT INTO wrx_roster_config VALUES (6100, 'profiler', 'http://www.rpgoutfitter.com/Addons/CharacterProfiler.cfm', 'text{128|30', 'data_links');
INSERT INTO wrx_roster_config VALUES (6110, 'pvplogger', 'http://www.wowroster.net/Downloads/details/id=51.html', 'text{128|30', 'data_links');
INSERT INTO wrx_roster_config VALUES (6120, 'uploadapp', 'http://www.wowroster.net/Downloads/c=2.html', 'text{128|30', 'data_links');

INSERT INTO wrx_roster_config VALUES (7000, 'char_bodyalign', 'center', 'select{left^left|center^center|right^right', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7010, 'char_header_logo', '1', 'radio{on^1|off^0', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7015, 'show_talents', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7020, 'show_spellbook', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7030, 'show_mail', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7040, 'show_inventory', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7050, 'show_money', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7060, 'show_bank', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7070, 'show_recipes', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7080, 'show_quests', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7090, 'show_bg', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7100, 'show_pvp', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7110, 'show_duels', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7120, 'show_item_bonuses', '2', 'radio{on^1|off^0|user^2', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7130, 'show_signature', '0', 'radio{yes^1|no^0', 'char_conf');
INSERT INTO wrx_roster_config VALUES (7140, 'show_avatar', '0', 'radio{yes^1|no^0', 'char_conf');

INSERT INTO wrx_roster_config VALUES (8000, 'realmstatus_url', 'http://www.worldofwarcraft.com/realmstatus/status.xml', 'select{US Servers^http://www.worldofwarcraft.com/realmstatus/status.xml|EU Servers^http://www.wow-europe.com/en/serverstatus/index.xml', 'realmstatus_conf');
INSERT INTO wrx_roster_config VALUES (8010, 'rs_display', 'full', 'select{full^full|half^half', 'realmstatus_conf');
INSERT INTO wrx_roster_config VALUES (8020, 'rs_mode', '1', 'radio{Image^1|DIV Container^0', 'realmstatus_conf');
INSERT INTO wrx_roster_config VALUES (8030, 'realmstatus', '', 'text{50|30', 'realmstatus_conf');

INSERT INTO wrx_roster_config VALUES (9000, 'guildbank_ver', '', 'select{Table^|Inventory^2', 'guildbank_conf');
INSERT INTO wrx_roster_config VALUES (9010, 'bank_money', '0', 'radio{yes^1|no^0', 'guildbank_conf');
INSERT INTO wrx_roster_config VALUES (9020, 'banker_rankname', 'BankMule', 'text{50|30', 'guildbank_conf');
INSERT INTO wrx_roster_config VALUES (9030, 'banker_fieldname', 'note', 'select{Player Note^note|Officer Note^officer_note|Guild Rank Number^guild_rank|Guild Title^guild_title|Player Name^name', 'guildbank_conf');

INSERT INTO wrx_roster_config VALUES (10000, 'authenticated_user', '1', 'radio{enable^1|disable^0', 'update_access');