<?php
/* xoops_version.php 2007-02-14 20:23:12
   WoW Roster X - WoW Roster for Xoops - A XOOPS CMS Module
   Copyright (c) 2006-2007 Mike DeShane, US
   URL:     www.pkcomp.net
   Contact: mdeshane@pkcomp.net
 	
   XOOPS
   Copyright (c) 2000 XOOPS.org
   URL:     http://www.xoops.org/
    
   This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
    
 */
 
//The next comment block is for PHPDocumentor
/**
 * WoW Roster X - WoW Roster for Xoops
 * 
 * This file conforms to the Xoops standard for the xoops_version.php file. Constant declarations beginning _MI_ are contained in language/../modinfo.php
 * 
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006-2007 Mike DeShane, US
 * @package WRX 1.73
 * @subpackage Installation
 * 
 */

global $modversion;

$modversion['name'] = _MI_WRX_NAME;
$modversion['version'] = 1.73;
$modversion['description'] = _MI_WRX_DESC;
$modversion['credits'] = "Mike DeShane - (http://www.pkcomp.net)";
$modversion['author'] = "Mike DeShane";
$modversion['help'] = "admin/help.php";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "img/wrx_slogo.png";
$modversion['dirname'] = "wowrosterx";
$modversion['onUpdate'] = "install_funcs.php";
$modversion['onInstall'] = "install_funcs.php";
$modversion['onUninstall'] = "install_funcs.php";

// Sql file (must contain sql generated by phpMyAdmin or phpPgAdmin)
// All tables should not have any prefix!
$modversion['sqlfile']['mysql'] = "sql/wrx_mysql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0] = 'wrx_roster_account';
$modversion['tables'][1] = 'wrx_roster_buffs';
$modversion['tables'][2] = 'wrx_roster_config';
$modversion['tables'][3] = 'wrx_roster_guild';
$modversion['tables'][4] = 'wrx_roster_items';
$modversion['tables'][5] = 'wrx_roster_mailbox';
$modversion['tables'][6] = 'wrx_roster_members';
$modversion['tables'][7] = 'wrx_roster_memberlog';
$modversion['tables'][8] = 'wrx_roster_pets';
$modversion['tables'][9] = 'wrx_roster_players';
$modversion['tables'][10] = 'wrx_roster_pvp2';
$modversion['tables'][11] = 'wrx_roster_quests';
$modversion['tables'][12] = 'wrx_roster_realmstatus';
$modversion['tables'][13] = 'wrx_roster_recipes';
$modversion['tables'][14] = 'wrx_roster_reputation';
$modversion['tables'][15] = 'wrx_roster_skills';
$modversion['tables'][16] = 'wrx_roster_spellbook';
$modversion['tables'][17] = 'wrx_roster_spellbooktree';
$modversion['tables'][18] = 'wrx_roster_talents';
$modversion['tables'][19] = 'wrx_roster_talenttree';

// Main Menu
$modversion['hasMain'] = 1;
$modversion['sub'][0]['name'] = _MI_WRX_UMNAME0;
$modversion['sub'][0]['url'] = 'index.php';
$modversion['sub'][1]['name'] = _MI_WRX_UMNAME1;
$modversion['sub'][1]['url'] = 'guildinfo.php';
$modversion['sub'][2]['name'] = _MI_WRX_UMNAME2;
$modversion['sub'][2]['url'] = 'indexstat.php';
$modversion['sub'][3]['name'] = _MI_WRX_UMNAME3;
$modversion['sub'][3]['url'] = 'tradeskills.php';
$modversion['sub'][4]['name'] = _MI_WRX_UMNAME4;
$modversion['sub'][4]['url'] = 'guildbank.php';
$modversion['sub'][5]['name'] = _MI_WRX_UMNAME5;
$modversion['sub'][5]['url'] = 'indexpvp.php';
$modversion['sub'][6]['name'] = _MI_WRX_UMNAME6;
$modversion['sub'][6]['url'] = 'indexhonor.php';
$modversion['sub'][7]['name'] = _MI_WRX_UMNAME7;
$modversion['sub'][7]['url'] = 'memberlog.php';
$modversion['sub'][8]['name'] = _MI_WRX_UMNAME8;
$modversion['sub'][8]['url'] = 'indexinst.php';
$modversion['sub'][9]['name'] = _MI_WRX_UMNAME9;
$modversion['sub'][9]['url'] = 'update.php';
$modversion['sub'][10]['name'] = _MI_WRX_UMNAME10;
$modversion['sub'][10]['url'] = 'indexsearch.php';
$modversion['sub'][11]['name'] = _MI_WRX_UMNAME11;
$modversion['sub'][11]['url'] = 'indexquests.php';


// Admin menu things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin.php";
$modversion['adminmenu'] = "admin/menu.inc";


// Blocks
$modversion['blocks'][1]['name'] = _MB_WRX_BLKNAME1;
$modversion['blocks'][1]['description'] = _MB_WRX_BLKDESC1;
$modversion['blocks'][1]['file'] = 'block_wrx_motd.php';
$modversion['blocks'][1]['show_func'] = 'b_wrx_block_motd_show';
$modversion['blocks'][1]['edit_func'] = 'b_wrx_block_motd_edit';
$modversion['blocks'][1]['template'] = 'motd_block.html';
$modversion['blocks'][1]['options'] = '';
$modversion['blocks'][2]['name'] = _MB_WRX_BLKNAME2;
$modversion['blocks'][2]['description'] = _MB_WRX_BLKDESC2;
$modversion['blocks'][2]['file'] = 'block_wrx_realm.php';
$modversion['blocks'][2]['show_func'] = 'b_wrx_block_realm_show';
$modversion['blocks'][2]['edit_func'] = 'b_wrx_block_realm_edit';
$modversion['blocks'][2]['template'] = 'realm_block.html';
$modversion['blocks'][2]['options'] = '';


// Search things
$modversion['hasSearch'] = 0;
// The Search feature has been dropped as it's not needed for functionality of the Roster

// Comment things
$modversion['hasComments'] = 0;
// The Comments feature has been dropped as it is not needed for functionality of the Roster

// Notification things
$modversion['hasNotification'] = 0;
// The Notifications feature has been dropped as it is not needed for functionality of the Roster

// About stuff
$modversion['status_version'] = "Release Candidate";
$modversion['developer_website_url'] = "http://dev.pkcomp.net";
$modversion['developer_website_name'] = "PKCNet - Pretty Kitty Computer Network";
$modversion['developer_email'] = "mdeshane@pkcomp.net";
$modversion['donations'] = "http://dev.pkcomp.net/modules/xdonations/";
$modversion['status'] = "RC";
$modversion['date'] = "Unreleased";

$modversion['people']['developers'][] = "Michael DeShane";

$modversion['people']['testers'][] = "Michael DeShane";

$modversion['people']['translators'][] = "Michael DeShane";

$modversion['people']['documenters'][] = "Michael DeShane";

//$modversion['people']['other'][] = "other 1";

$modversion['demo_site_url'] = "http://dev.pkcomp.net/modules/wowrosterx/";
$modversion['demo_site_name'] = "PKCNet Developer Site";
$modversion['support_site_url'] = "http://dev.pkcomp.net/modules/newbb";
$modversion['support_site_name'] = "PKCNet Forum";
//$modversion['submit_bug'] = "http://dev.xoops.org/modules/xfmod/tracker/?group_id=1352&atid=1562";
//$modversion['submit_feature'] = "http://dev.xoops.org/modules/xfmod/tracker/?group_id=1352&atid=1565";

$modversion['author_word'] = "";
$modversion['warning'] = "Please do not activate the module blocks within the module as it will cause a blank screen.<br />*** This version of WoWRoster is for Xoops only! ***";

/*
 * This file was generated by XBS ModGen, (c) 2006 A Kitson, UK. See http://xoobs.net
 * ModGen is a Module Code Generator for the Xoops CMS.  See http://xoops.org
 */
?>